<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta   http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta   name="robots" content="noindex, nofollow" />
<meta   http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title>订阅服务 - 电子订阅 - <jcms:site.name/></title>
<script type="text/javascript" src="../_libs/jquery.tools.pack.js"></script>
<script type="text/javascript" src="../_data/jcmsV4.x.js"></script>
<link   type="text/css" rel="stylesheet" href="../_data/jcmsV4.x.css" />

<link href="css/subscribe.css" type="text/css" rel="stylesheet" />
<style>
UL.region_list LI A.selected,
UL.region_list LI A:hover {background-color: #005EAC;color: #fff;}
</style>
<script type="text/javascript">
(function(){
	$(document).ready(function(){
		$('#registerForm').ajaxForm({
			beforeSubmit: JumbotCms.AjaxFormSubmit,
			success :function(data){
				JumbotCms.Eval(data);
			}
		}); 
		$.formValidator.initConfig({onError:function(msg){alert(msg);}});
		$("#txtEmail")
			.formValidator({tipid:"tipEmail",onshow:"请输入邮箱",onfocus:"请输入邮箱",oncorrect:"OK"})
			.InputValidator({min:8,max:50,onerror:"邮箱非法,请确认"})
			.RegexValidator({regexp:"email",datatype:"enum",onerror:"格式不正确"})
			.AjaxValidator({
			type : "get",
			url:		"ajax.aspx?oper=checkemail&id=0&time="+(new Date().getTime()),
			datatype : "json",
			success : function(d){	
				if(d.result == "1")//说明不存在
					return true;
				else
					return false;
			},
			buttons: $("#btnSave"),
			error: function(){alert("服务器没有返回数据，可能服务器忙，请重试");},
			onerror : "邮箱已使用",
			onwait : "正在校验..."
		});
		$("#txtCode").formValidator({tipid:"tipCode",onshow:"填写校验码",onfocus:"填写校验码",oncorrect:"OK"}).InputValidator({min:4,max:4,onerror:"4位校验码"});
	});
	//Form验证
	JumbotCms.AjaxFormSubmit=function(item){
		try{
			if(jQuery.formValidator.PageIsValid('1'))
			{
				JumbotCms.Loading.show("正在处理，请稍等...",260,80);
				return true;
			}else{
				return false;
			}
		}catch(e){
			return false;
		}
	};
})();
</script>
</head>
<body>
<!--顶部-->
<div id="header">
	<div class="h_lt"><a href="{site.Dir}"><img src="{site.Dir}_data/style/logo.jpg" /></a></div>
	<div class="h_rt">
		<div class="userbar"><a href="{site.Dir}">首页</a> </div>
	</div>
	<div class="clear"></div>
</div>
<!--顶部-->
<!--中间-->
<div id="center">
	<!--中左-->
	<div class="c_lt">
		<div class="tt"></font></div>
		<div class="content">
			<form id="registerForm" name="form1" method="post" action="?act=save">
				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="5">
					<tr>
						<td width="120" height="30" align="right">Email地址</td>
						<td width="200"><input class="input" style="width:190px;" type="text" name="txtEmail" id="txtEmail" /></td>
						<td><span id="tipEmail" style="width: 100px"></span></td>
					</tr>
					<tr>
						<td height="30" align="right">校验码</td>
						<td><input type="text" class="input" style="width:60px;ime-mode:disabled;" onpaste="return false" name="txtCode" id="txtCode" /> <img id="imgCode" onclick="this.src=_jcms_SetUrlRefresh('{site.Dir}plus/getcode.aspx');" src="{site.Dir}plus/getcode.aspx" align="absmiddle" style="cursor: pointer" alt="看不清楚？点击换一张" title="看不清楚？点击换一张" /><img id="imgRead" src="{site.Dir}style/common/maintb.gif" align="absmiddle" style="cursor: pointer" alt="收听校验码" title="收听校验码" onclick="PlayCodeVoice('player');" /><span id="player"></span></td>
						<td><span id="tipCode" style="width: 100px"></span></td>
					</tr>
				</table>
				<p>
					<INPUT type="submit" value="" name=submit class="tj">
				</p>
			</form>
		</div>
		<div class="ft"></div>
	</div>
	<!--中左-->
<!--中右-->
<div class="c_rt">
   <ul>
   <li class="step1_y"><b><a>第一步</a></b><p>填写您的私人有效邮箱</p></li>

   <li class="step2_n"><b><a>第二步</a></b><p>进入邮箱确认服务</p></li>
   </ul>
</div>

<!--中右-->
	<div class="clear"></div>
	<div><script type="text/javascript" src="{site.Dir}_data/style/adv/2.js"></script></div>
	<div class="clear"></div>
</div>
<!--中间-->
<!--底部-->
<jcms:include file="~/_data/html/footer2.htm" />
</body>
</html>
